#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a, b, c;
    int a1 = 0, b1 = 0, c1 = 0;
    int x = a;
    int y = b;
    int z = c;

    scanf("%d", &a, &b, &c);

    while(x != 0){
        a1 = x;
        x /= 10;
    }

    while(y != 0){
        b1 = y;
        y /= 10;
    }

    while(z != 0){
        c1 = z;
        z /= 10;
    }

    if(a1 > b1 && b1 > c1) printf("%d%d%d", a, b, c);
    else if(a1 > c1 && c1 > b1) printf("%d%d%d", a, c, b);
    else if(b1 > a1 && a1 > c1) printf("%d%d%d", b, a, c);
    else if(b1 > c1 && c1 > a1) printf("%d%d%d", b, c, a);
    else if(c1 > a1 && a1 > b1) printf("%d%d%d", c, a, b);
    else if(c1 > b1 && b1 > a1) printf("%d%d%d", c, b, a);

    return 0;
}